Description

Registrations are naturally bundled into working sets by the Reference entity for the related publications.

A single publication can encompass several new names and typedesignations. For each of the names and typedesignations an
individual identifier and thus a separate registration is needed.

For better user experience registrations forming a working set should be bundled in the Ul in order to reduce redundancy in the visual
appearance and in the users efforts to process through the registration workflow.

A Registration is indirectly associated with the publication Reference by the following paths along the object graph:

Registration —-+---> name —-—--> nomenclaturalReference

+-——> typeDesignations —--> citation

| think it is OK to collect the References using this relationships so that it is not needed to add a private Reference publication; field
to the Registration class.
The purpose of this ticket is to let you know about the requirement to use the workingsets and to start the discussion if needed.

Related issues:
Related to EDIT - task #6258: Add Registration to cdm model Closed

History

#1 - 03/15/2017 03:03 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to Feedback

#2 - 03/16/2017 03:54 PM - Andreas Miiller

- Project changed from EDIT to PhycoBank

- Category deleted (cdmlib)

- Status changed from Feedback to Rejected

- Assignee changed from Andreas Muiller to Andreas Kohlbecker
- Priority changed from New to Highest

- Target version deleted (Unassigned CDM tickets)

| also don't think we need to have a persistent class here, therefore close the ticket as rejected

#3 - 03/16/2017 03:55 PM - Andreas Miiller
- Parent task deleted (#6258)

#4 - 03/16/2017 03:56 PM - Andreas Miiller
- Related to task #6258: Add Registration to cdm model added
